public class FinalValues {

  // a constant
  final int scale = 100;
  
  // value below is dynamically created, 
  // but cannot change afterward
  final int answer = (int)(Math.random() * scale);
  
  public static void main(String[] args) {
    FinalValues fv = new FinalValues();
    System.out.println(fv.answer);
    
    // line below would not compile:
    // fv.answer = 44;
  }
}